Public API
Webhooks

On this page
- GET /api/v1/public/apps/{app}/environments/{environment}/webhooks
- POST /api/v1/public/apps/{app}/environments/{environment}/webhooks
- DELETE /api/v1/public/apps/{app}/environments/{environment}/webhooks/{webhook}
- GET /api/v1/public/apps/{app}/environments/{environment}/webhooks/{webhook}
- PATCH /api/v1/public/apps/{app}/environments/{environment}/webhooks/{webhook}
- GET /api/v1/public/apps/{app}/environments/{environment}/webhooks/{webhook}/messages
- POST /api/v1/public/apps/{app}/environments/{environment}/webhooks/{webhook}/messages/{message}/replay
Endpoints Notifiable calls for one app and environment.
These routes are the public API. Send Authorization: Bearer with a workspace server API key. The key can act on every app in the workspace. A route that names an app uses that app id. environment is development or production.
GET /api/v1/public/apps/{app}/environments/{environment}/webhooks
The webhooks were listed.
Path
app— App id in this workspace.environment—developmentorproduction.
Responses
200WEBHOOKS_LISTED— The webhooks were listed.401INVALID_API_KEY— The API key is invalid.404APP_NOT_FOUND— The app could not be found.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
POST /api/v1/public/apps/{app}/environments/{environment}/webhooks
The webhook was created.
Path
app— App id in this workspace.environment—developmentorproduction.
Responses
201WEBHOOK_CREATED— The webhook was created.401INVALID_API_KEY— The API key is invalid.404APP_NOT_FOUND— The app could not be found.422VALIDATION_FAILED— The request contains invalid fields.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
DELETE /api/v1/public/apps/{app}/environments/{environment}/webhooks/{webhook}
The webhook was deleted.
Path
app— App id in this workspace.environment—developmentorproduction.webhook— Webhook id.
Responses
200WEBHOOK_DELETED— The webhook was deleted.id(string, required)
401INVALID_API_KEY— The API key is invalid.404RESOURCE_NOT_FOUND— The requested resource could not be found.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
GET /api/v1/public/apps/{app}/environments/{environment}/webhooks/{webhook}
The webhook was found.
Path
app— App id in this workspace.environment—developmentorproduction.webhook— Webhook id.
Responses
200WEBHOOK_FETCHED— The webhook was found.401INVALID_API_KEY— The API key is invalid.404RESOURCE_NOT_FOUND— The requested resource could not be found.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
PATCH /api/v1/public/apps/{app}/environments/{environment}/webhooks/{webhook}
The webhook was updated.
Path
app— App id in this workspace.environment—developmentorproduction.webhook— Webhook id.
Body
url(string, optional)events(array of string, optional)enabled(boolean, optional)
Responses
200WEBHOOK_UPDATED— The webhook was updated.401INVALID_API_KEY— The API key is invalid.404RESOURCE_NOT_FOUND— The requested resource could not be found.422VALIDATION_FAILED— The request contains invalid fields.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
GET /api/v1/public/apps/{app}/environments/{environment}/webhooks/{webhook}/messages
The webhook messages were listed.
Path
app— App id in this workspace.environment—developmentorproduction.webhook— Webhook id.
Responses
200WEBHOOK_MESSAGES_LISTED— The webhook messages were listed.401INVALID_API_KEY— The API key is invalid.404RESOURCE_NOT_FOUND— The requested resource could not be found.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
POST /api/v1/public/apps/{app}/environments/{environment}/webhooks/{webhook}/messages/{message}/replay
The webhook message was replayed.
Path
app— App id in this workspace.environment—developmentorproduction.webhook— Webhook id.message— Webhook message id.
Responses
200WEBHOOK_REPLAYED— The webhook message was replayed.id(string, required)
401INVALID_API_KEY— The API key is invalid.404RESOURCE_NOT_FOUND— The requested resource could not be found.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
